Name:           synfigstudio
Version:        0.64.3
Release:        1%{?dist}
Summary:        Vector-based 2D animation studio

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://synfig.org/
Source0:        http://download.sourceforge.net/synfig/%{name}-%{version}.tar.gz
Patch0:         synfigstudio-0.62.00-cflags.patch
#Patch1:         synfigstudio-0.62.02-dialog_color.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  synfig-devel >= %{version}
BuildRequires:  ETL-devel >= 0.04.17
BuildRequires:  gtkmm24-devel
BuildRequires:  autoconf
BuildRequires:  intltool

%description
Synfig Animation Studio is a powerful, industrial-strength vector-based
2D animation software, designed from the ground-up for producing
feature-film quality animation with fewer people and resources.
It is designed to be capable of producing feature-film quality
animation. It eliminates the need for tweening, preventing the
need to hand-draw each frame. Synfig features spatial and temporal
resolution independence (sharp and smoothat any resolution or framerate),
high dynamic range images, and a flexible plugin system.

This package contains the GUI-based animation studio.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .cflags
#patch1 -p1 -b .dialog_color

autoconf

%build
%configure --disable-update-mimedb
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install \
        --delete-original                                       \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications           \
        $RPM_BUILD_ROOT/%{_datadir}/applications/synfigstudio.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime-info/synfigstudio.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/synfigstudio
%{_datadir}/synfig/plugins/
%{_datadir}/appdata/synfigstudio.appdata.xml
%doc AUTHORS COPYING README


%files devel
%defattr(-,root,root,-)
%{_includedir}/synfigapp-0.0
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%doc COPYING TODO


%changelog
* Tue Dec 23 2014 Jon Ciesla <limburgher@gmail.com> - 0.64.3-1
- Latest upstream, BZ 1176892.
- Added synfig version BR.

* Fri Oct 17 2014 Jon Ciesla <limburgher@gmail.com> - 0.64.2-1
- Latest upstream, BZ 1154006.

* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.64.1-4
- update scriptlets
- tighten subpkg deps via %%_isa
- %%build with --disable-update-mimedb
- run autoconf in %%prep (instead of %%build)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.64.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.64.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 05 2013 Jon Ciesla <limburgher@gmail.com> - 0.64.1-1
- Latest upstream, BZ 1026738.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.64.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 13 2013 Jon Ciesla <limburgher@gmail.com> - 0.64.0-1
- Latest upstream, BZ 962137.

* Mon Feb 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.63.05-5.1

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63.05-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Luya Tshimbalanga <luya@fedoraproject.org> - 0.63.05-3.1
- Really remove all but xml file (rhbz#821740)

* Mon May 21 2012 Luya Tshimbalanga <luya@fedoraproject.org> - 0.63.05-2
- Fix mime.cache issue (rhbz#821740)

* Mon Apr 23 2012 Jon Ciesla <limburgher@gmail.com> - 0.63.05-1
- Latest upstream.
- Dialog color patch upstreamed.

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.63.04-2
- Rebuilt for c++ ABI breakage

* Sat Feb 11 2012 Luya Tshimbalanga <luya@fedoraproject.org>
- New upstream release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com>
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 04 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.62.02-1
- Rebase

* Sat Dec 04 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-3
- Fix build

* Thu Dec 24 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-2
- Fix optflags use (Ville Skyttä, #549420)

* Tue Nov 17 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-1
- Bump version

* Fri Jan 09 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.61.09-1
- Initial packaging attempt
